<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/InventoryNew/ContainedItems/Headers/CollapsibleHeader.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d5e/_collapsible_header_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CollapsibleHeader.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d5e/_collapsible_header_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/da7/class_collapsible_header.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/da7/class_collapsible_header.html">CollapsibleHeader</a>: <a class="code hl_class" href="../../d8/dc9/class_header.html">Header</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/da7/class_collapsible_header.html#aab2e75d1da080d9aec9c7099373acbbc">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/da7/class_collapsible_header.html#aab2e75d1da080d9aec9c7099373acbbc">CollapsibleHeader</a>( <a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent, <span class="keywordtype">string</span> function_name )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d8/dc9/class_header.html#a6b4656850f00128dab241ac8aa2381b8">m_DefaultFontSize</a> = 24;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/da7/class_collapsible_header.html#aee76af32b368b85c73f4a0b8f6e890ee">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/da7/class_collapsible_header.html#aee76af32b368b85c73f4a0b8f6e890ee">SetLayoutName</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#ae51ebdb52ab40baddca0cda3b88e01df">CollapsibleHeader</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>}</div>
<div class="ttc" id="aclass_collapsible_header_html"><div class="ttname"><a href="../../da/da7/class_collapsible_header.html">CollapsibleHeader</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5e/_collapsible_header_8c_source.html#l00001">CollapsibleHeader.c:2</a></div></div>
<div class="ttc" id="aclass_collapsible_header_html_aab2e75d1da080d9aec9c7099373acbbc"><div class="ttname"><a href="../../da/da7/class_collapsible_header.html#aab2e75d1da080d9aec9c7099373acbbc">CollapsibleHeader::CollapsibleHeader</a></div><div class="ttdeci">void CollapsibleHeader(LayoutHolder parent, string function_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5e/_collapsible_header_8c_source.html#l00003">CollapsibleHeader.c:3</a></div></div>
<div class="ttc" id="aclass_collapsible_header_html_aee76af32b368b85c73f4a0b8f6e890ee"><div class="ttname"><a href="../../da/da7/class_collapsible_header.html#aee76af32b368b85c73f4a0b8f6e890ee">CollapsibleHeader::SetLayoutName</a></div><div class="ttdeci">override void SetLayoutName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d5e/_collapsible_header_8c_source.html#l00008">CollapsibleHeader.c:8</a></div></div>
<div class="ttc" id="aclass_header_html"><div class="ttname"><a href="../../d8/dc9/class_header.html">Header</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00001">Header.c:2</a></div></div>
<div class="ttc" id="aclass_header_html_a6b4656850f00128dab241ac8aa2381b8"><div class="ttname"><a href="../../d8/dc9/class_header.html#a6b4656850f00128dab241ac8aa2381b8">Header::m_DefaultFontSize</a></div><div class="ttdeci">protected int m_DefaultFontSize</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d68/_header_8c_source.html#l00004">Header.c:4</a></div></div>
<div class="ttc" id="aclass_layout_holder_html"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html">LayoutHolder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00001">Container.c:2</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00001">WidgetLayoutName.c:2</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_ae51ebdb52ab40baddca0cda3b88e01df"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#ae51ebdb52ab40baddca0cda3b88e01df">WidgetLayoutName::CollapsibleHeader</a></div><div class="ttdeci">const string CollapsibleHeader</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00043">WidgetLayoutName.c:43</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_192fe6bd0d85bc453ff02fd806ec1ca0.html">InventoryNew</a></li><li class="navelem"><a class="el" href="../../dir_f0cee110ace9537dcc6ecfc7bb500d1d.html">ContainedItems</a></li><li class="navelem"><a class="el" href="../../dir_e7b4b21461ae8b7ef1224649aa89031b.html">Headers</a></li><li class="navelem"><a class="el" href="../../d8/d5e/_collapsible_header_8c.html">CollapsibleHeader.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
